﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:4.0.30319.42000
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict Off
Option Explicit On

Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml.Serialization

'
'This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
'
Namespace ie.bordbia.qas
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Web.Services.WebServiceBindingAttribute(Name:="CheckHerdStatusSoap", [Namespace]:="http://qas.bordbia.ie/Beef/CheckHerdStatus")>  _
    Partial Public Class CheckHerdStatus
        Inherits System.Web.Services.Protocols.SoapHttpClientProtocol
        
        Private QueryBeefOperationCompleted As System.Threading.SendOrPostCallback
        
        Private QueryBeefBatchOperationCompleted As System.Threading.SendOrPostCallback
        
        Private QueryLambBatchOperationCompleted As System.Threading.SendOrPostCallback
        
        Private QueryLambOperationCompleted As System.Threading.SendOrPostCallback
        
        Private QueryBeefDateOperationCompleted As System.Threading.SendOrPostCallback
        
        Private QueryLambDateOperationCompleted As System.Threading.SendOrPostCallback
        
        Private useDefaultCredentialsSetExplicitly As Boolean
        
        '''<remarks/>
        Public Sub New()
            MyBase.New
            Me.Url = Global.ROIHerdRecording2.My.MySettings.Default.ROIHerdRecording2_ie_bordbia_qas_CheckHerdStatus
            If (Me.IsLocalFileSystemWebService(Me.Url) = true) Then
                Me.UseDefaultCredentials = true
                Me.useDefaultCredentialsSetExplicitly = false
            Else
                Me.useDefaultCredentialsSetExplicitly = true
            End If
        End Sub
        
        Public Shadows Property Url() As String
            Get
                Return MyBase.Url
            End Get
            Set
                If (((Me.IsLocalFileSystemWebService(MyBase.Url) = true)  _
                            AndAlso (Me.useDefaultCredentialsSetExplicitly = false))  _
                            AndAlso (Me.IsLocalFileSystemWebService(value) = false)) Then
                    MyBase.UseDefaultCredentials = false
                End If
                MyBase.Url = value
            End Set
        End Property
        
        Public Shadows Property UseDefaultCredentials() As Boolean
            Get
                Return MyBase.UseDefaultCredentials
            End Get
            Set
                MyBase.UseDefaultCredentials = value
                Me.useDefaultCredentialsSetExplicitly = true
            End Set
        End Property
        
        '''<remarks/>
        Public Event QueryBeefCompleted As QueryBeefCompletedEventHandler
        
        '''<remarks/>
        Public Event QueryBeefBatchCompleted As QueryBeefBatchCompletedEventHandler
        
        '''<remarks/>
        Public Event QueryLambBatchCompleted As QueryLambBatchCompletedEventHandler
        
        '''<remarks/>
        Public Event QueryLambCompleted As QueryLambCompletedEventHandler
        
        '''<remarks/>
        Public Event QueryBeefDateCompleted As QueryBeefDateCompletedEventHandler
        
        '''<remarks/>
        Public Event QueryLambDateCompleted As QueryLambDateCompletedEventHandler
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryBeef", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryBeef(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String) As BlqasCertificationStatus
            Dim results() As Object = Me.Invoke("QueryBeef", New Object() {Username, Password, HerdNo})
            Return CType(results(0),BlqasCertificationStatus)
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryBeefAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String)
            Me.QueryBeefAsync(Username, Password, HerdNo, Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryBeefAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String, ByVal userState As Object)
            If (Me.QueryBeefOperationCompleted Is Nothing) Then
                Me.QueryBeefOperationCompleted = AddressOf Me.OnQueryBeefOperationCompleted
            End If
            Me.InvokeAsync("QueryBeef", New Object() {Username, Password, HerdNo}, Me.QueryBeefOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryBeefOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryBeefCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryBeefCompleted(Me, New QueryBeefCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryBeefBatch", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryBeefBatch(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String) As MeatPlantQueryBeefResult()
            Dim results() As Object = Me.Invoke("QueryBeefBatch", New Object() {Username, Password, HerdNoList})
            Return CType(results(0),MeatPlantQueryBeefResult())
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryBeefBatchAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String)
            Me.QueryBeefBatchAsync(Username, Password, HerdNoList, Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryBeefBatchAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String, ByVal userState As Object)
            If (Me.QueryBeefBatchOperationCompleted Is Nothing) Then
                Me.QueryBeefBatchOperationCompleted = AddressOf Me.OnQueryBeefBatchOperationCompleted
            End If
            Me.InvokeAsync("QueryBeefBatch", New Object() {Username, Password, HerdNoList}, Me.QueryBeefBatchOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryBeefBatchOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryBeefBatchCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryBeefBatchCompleted(Me, New QueryBeefBatchCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryLambBatch", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryLambBatch(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String) As MeatPlantQueryLambResult()
            Dim results() As Object = Me.Invoke("QueryLambBatch", New Object() {Username, Password, HerdNoList})
            Return CType(results(0),MeatPlantQueryLambResult())
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryLambBatchAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String)
            Me.QueryLambBatchAsync(Username, Password, HerdNoList, Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryLambBatchAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNoList As String, ByVal userState As Object)
            If (Me.QueryLambBatchOperationCompleted Is Nothing) Then
                Me.QueryLambBatchOperationCompleted = AddressOf Me.OnQueryLambBatchOperationCompleted
            End If
            Me.InvokeAsync("QueryLambBatch", New Object() {Username, Password, HerdNoList}, Me.QueryLambBatchOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryLambBatchOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryLambBatchCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryLambBatchCompleted(Me, New QueryLambBatchCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryLamb", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryLamb(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String) As BlqasCertificationStatus
            Dim results() As Object = Me.Invoke("QueryLamb", New Object() {Username, Password, HerdNo})
            Return CType(results(0),BlqasCertificationStatus)
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryLambAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String)
            Me.QueryLambAsync(Username, Password, HerdNo, Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryLambAsync(ByVal Username As String, ByVal Password As String, ByVal HerdNo As String, ByVal userState As Object)
            If (Me.QueryLambOperationCompleted Is Nothing) Then
                Me.QueryLambOperationCompleted = AddressOf Me.OnQueryLambOperationCompleted
            End If
            Me.InvokeAsync("QueryLamb", New Object() {Username, Password, HerdNo}, Me.QueryLambOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryLambOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryLambCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryLambCompleted(Me, New QueryLambCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryBeefDate", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryBeefDate(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date) As Boolean
            Dim results() As Object = Me.Invoke("QueryBeefDate", New Object() {Username, Password, herd, [date]})
            Return CType(results(0),Boolean)
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryBeefDateAsync(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date)
            Me.QueryBeefDateAsync(Username, Password, herd, [date], Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryBeefDateAsync(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date, ByVal userState As Object)
            If (Me.QueryBeefDateOperationCompleted Is Nothing) Then
                Me.QueryBeefDateOperationCompleted = AddressOf Me.OnQueryBeefDateOperationCompleted
            End If
            Me.InvokeAsync("QueryBeefDate", New Object() {Username, Password, herd, [date]}, Me.QueryBeefDateOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryBeefDateOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryBeefDateCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryBeefDateCompleted(Me, New QueryBeefDateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://qas.bordbia.ie/Beef/CheckHerdStatus/QueryLambDate", RequestNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", ResponseNamespace:="http://qas.bordbia.ie/Beef/CheckHerdStatus", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function QueryLambDate(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date) As Boolean
            Dim results() As Object = Me.Invoke("QueryLambDate", New Object() {Username, Password, herd, [date]})
            Return CType(results(0),Boolean)
        End Function
        
        '''<remarks/>
        Public Overloads Sub QueryLambDateAsync(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date)
            Me.QueryLambDateAsync(Username, Password, herd, [date], Nothing)
        End Sub
        
        '''<remarks/>
        Public Overloads Sub QueryLambDateAsync(ByVal Username As String, ByVal Password As String, ByVal herd As String, ByVal [date] As Date, ByVal userState As Object)
            If (Me.QueryLambDateOperationCompleted Is Nothing) Then
                Me.QueryLambDateOperationCompleted = AddressOf Me.OnQueryLambDateOperationCompleted
            End If
            Me.InvokeAsync("QueryLambDate", New Object() {Username, Password, herd, [date]}, Me.QueryLambDateOperationCompleted, userState)
        End Sub
        
        Private Sub OnQueryLambDateOperationCompleted(ByVal arg As Object)
            If (Not (Me.QueryLambDateCompletedEvent) Is Nothing) Then
                Dim invokeArgs As System.Web.Services.Protocols.InvokeCompletedEventArgs = CType(arg,System.Web.Services.Protocols.InvokeCompletedEventArgs)
                RaiseEvent QueryLambDateCompleted(Me, New QueryLambDateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState))
            End If
        End Sub
        
        '''<remarks/>
        Public Shadows Sub CancelAsync(ByVal userState As Object)
            MyBase.CancelAsync(userState)
        End Sub
        
        Private Function IsLocalFileSystemWebService(ByVal url As String) As Boolean
            If ((url Is Nothing)  _
                        OrElse (url Is String.Empty)) Then
                Return false
            End If
            Dim wsUri As System.Uri = New System.Uri(url)
            If ((wsUri.Port >= 1024)  _
                        AndAlso (String.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) = 0)) Then
                Return true
            End If
            Return false
        End Function
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1038.0"),  _
     System.SerializableAttribute(),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://qas.bordbia.ie/Beef/CheckHerdStatus")>  _
    Partial Public Class BlqasCertificationStatus
        
        Private herdNoField As String
        
        Private herdOwnerField As String
        
        Private certValidUntilField As System.Nullable(Of Date)
        
        Private nominatedByYourMeatPlantField As Boolean
        
        Private errorField As String
        
        Private scopeField As String
        
        '''<remarks/>
        Public Property HerdNo() As String
            Get
                Return Me.herdNoField
            End Get
            Set
                Me.herdNoField = value
            End Set
        End Property
        
        '''<remarks/>
        Public Property HerdOwner() As String
            Get
                Return Me.herdOwnerField
            End Get
            Set
                Me.herdOwnerField = value
            End Set
        End Property
        
        '''<remarks/>
        <System.Xml.Serialization.XmlElementAttribute(IsNullable:=true)>  _
        Public Property CertValidUntil() As System.Nullable(Of Date)
            Get
                Return Me.certValidUntilField
            End Get
            Set
                Me.certValidUntilField = value
            End Set
        End Property
        
        '''<remarks/>
        Public Property NominatedByYourMeatPlant() As Boolean
            Get
                Return Me.nominatedByYourMeatPlantField
            End Get
            Set
                Me.nominatedByYourMeatPlantField = value
            End Set
        End Property
        
        '''<remarks/>
        Public Property [Error]() As String
            Get
                Return Me.errorField
            End Get
            Set
                Me.errorField = value
            End Set
        End Property
        
        '''<remarks/>
        Public Property Scope() As String
            Get
                Return Me.scopeField
            End Get
            Set
                Me.scopeField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1038.0"),  _
     System.SerializableAttribute(),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://qas.bordbia.ie/Beef/CheckHerdStatus")>  _
    Partial Public Class MeatPlantQueryLambResult
        
        Private herdNoField As String
        
        Private certValidUntilField As System.Nullable(Of Date)
        
        '''<remarks/>
        Public Property HerdNo() As String
            Get
                Return Me.herdNoField
            End Get
            Set
                Me.herdNoField = value
            End Set
        End Property
        
        '''<remarks/>
        <System.Xml.Serialization.XmlElementAttribute(IsNullable:=true)>  _
        Public Property CertValidUntil() As System.Nullable(Of Date)
            Get
                Return Me.certValidUntilField
            End Get
            Set
                Me.certValidUntilField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1038.0"),  _
     System.SerializableAttribute(),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://qas.bordbia.ie/Beef/CheckHerdStatus")>  _
    Partial Public Class MeatPlantQueryBeefResult
        
        Private herdNoField As String
        
        Private certValidUntilField As System.Nullable(Of Date)
        
        '''<remarks/>
        Public Property HerdNo() As String
            Get
                Return Me.herdNoField
            End Get
            Set
                Me.herdNoField = value
            End Set
        End Property
        
        '''<remarks/>
        <System.Xml.Serialization.XmlElementAttribute(IsNullable:=true)>  _
        Public Property CertValidUntil() As System.Nullable(Of Date)
            Get
                Return Me.certValidUntilField
            End Get
            Set
                Me.certValidUntilField = value
            End Set
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryBeefCompletedEventHandler(ByVal sender As Object, ByVal e As QueryBeefCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryBeefCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As BlqasCertificationStatus
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),BlqasCertificationStatus)
            End Get
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryBeefBatchCompletedEventHandler(ByVal sender As Object, ByVal e As QueryBeefBatchCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryBeefBatchCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As MeatPlantQueryBeefResult()
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),MeatPlantQueryBeefResult())
            End Get
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryLambBatchCompletedEventHandler(ByVal sender As Object, ByVal e As QueryLambBatchCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryLambBatchCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As MeatPlantQueryLambResult()
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),MeatPlantQueryLambResult())
            End Get
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryLambCompletedEventHandler(ByVal sender As Object, ByVal e As QueryLambCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryLambCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As BlqasCertificationStatus
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),BlqasCertificationStatus)
            End Get
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryBeefDateCompletedEventHandler(ByVal sender As Object, ByVal e As QueryBeefDateCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryBeefDateCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As Boolean
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),Boolean)
            End Get
        End Property
    End Class
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0")>  _
    Public Delegate Sub QueryLambDateCompletedEventHandler(ByVal sender As Object, ByVal e As QueryLambDateCompletedEventArgs)
    
    '''<remarks/>
    <System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.6.1038.0"),  _
     System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code")>  _
    Partial Public Class QueryLambDateCompletedEventArgs
        Inherits System.ComponentModel.AsyncCompletedEventArgs
        
        Private results() As Object
        
        Friend Sub New(ByVal results() As Object, ByVal exception As System.Exception, ByVal cancelled As Boolean, ByVal userState As Object)
            MyBase.New(exception, cancelled, userState)
            Me.results = results
        End Sub
        
        '''<remarks/>
        Public ReadOnly Property Result() As Boolean
            Get
                Me.RaiseExceptionIfNecessary
                Return CType(Me.results(0),Boolean)
            End Get
        End Property
    End Class
End Namespace
